Subject: Re: [PATCH] rev-parse: have --parseopt callers exit 0 on --help

From: "brian m. carlson" <[email-masked]>
Date: Tue, 17 Mar 2026 11:59:02 +0000

On 2026-03-17 at 00:47:19, Junio C Hamano wrote:
> "brian m. carlson" <[email-masked]> writes:
> 
> > Signed-off-by: brian m. carlson <[email-masked]>
> > ---
> >  parse-options.c               | 2 +-
> >  t/t1502-rev-parse-parseopt.sh | 9 +++++++--
> >  t/t1502/optionspec-neg.help   | 1 +
> >  t/t1502/optionspec.help       | 1 +
> >  4 files changed, 10 insertions(+), 3 deletions(-)
> 
> Has t1517 passed for you?
> 
> Queued directly on top of v2.53.0, I am seeing:
> 
> >>>>>
> expecting success of 1517.169 ''git instaweb -h' outside a repository':
>                 test_expect_code 129 nongit git $cmd -h >usage &&
>                 test_grep "[Uu]sage: git $cmd " usage
> 
> test_expect_code: command exited with 0, we wanted 129 nongit git instaweb -h
> not ok 169 - 'git instaweb -h' outside a repository
> <<<<<

I thought the tests passed, but I may have neglected to run them on the
latest revision.  Go ahead and drop this for now and I'll send out a v2
either tonight or later this week.  My apologies.
-- 
brian m. carlson (they/them)
Toronto, Ontario, CA